package de.ivu.elect.business.wahlvorschlag.control;

public class WahlvorschlagUnterstuetzerAnzahlAbrufAvailability {
  private boolean available;
  private String reason;

  public static WahlvorschlagUnterstuetzerAnzahlAbrufAvailability unavailableWithReason(String reason) {
    return new WahlvorschlagUnterstuetzerAnzahlAbrufAvailability(false, reason);
  }

  public static WahlvorschlagUnterstuetzerAnzahlAbrufAvailability available() {
    return new WahlvorschlagUnterstuetzerAnzahlAbrufAvailability(true, "");
  }

  private WahlvorschlagUnterstuetzerAnzahlAbrufAvailability(boolean available, String reason) {
    this.available = available;
    this.reason = reason;
  }

  public boolean isAvailable() {
    return available;
  }

  public String getReason() {
    return reason;
  }
}
